@font-face {
    font-family: "iranSans";
    src: url("/fonts/IRANSansWeb.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: iranSans, tahoma;
}

/* Change Autocomplete styles in Chrome*/
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    border-top: none;
    -webkit-text-fill-color: rgb(0, 0, 0);
    -webkit-box-shadow: 0 0 0px 1000px rgb(255, 255, 255) inset;
    transition: background-color 5000s ease-in-out 0s;
}

.page-title {
    padding: 0.7rem 0;
}
/* drag scroll----------------- */
.drag-scroll-container {
    height: auto;
}

.drag-scroll-scroller {
    width: 100%;
    height: 100%;
    overflow: auto;
    cursor: hand;
    cursor: grab;
}

.drag-scroll-scroller:active {
    cursor: grabbing;
}

body .drag-scroll-scroller .datatable-scroll-wrap {
    width: 100%;
    min-height: .01%;
    overflow-x: visible;
}

.drag-scroll-wrapper {
    min-width: 2000px;

}
.drag-scroll-scroller table{
    border-top: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
}
.drag-scroll-scroller .datatable-header{
    border: none;
}
.drag-scroll-scroller .datatable-footer{
    border: none;
}
/* end drag scroll----------------- */
/* -datatable---------- */
.big-td {
    overflow: hidden;
    max-width: 400px;
    white-space: normal !important;
    max-height: 100px;
    direction: ltr;
    text-align: left !important;
}
.big-td:hover {
    overflow: auto;
}

.dtr-column tbody tr td.control:before,
.dtr-column tbody tr th.control:before,
.dtr-inline.collapsed tbody tr td:first-child:before,
.dtr-inline.collapsed tbody tr th:first-child:before {
    float: left !important;
}

.warning-td {
    border-bottom: 1px solid #f44336;
    box-shadow: -1px 5px 10px 0px #f443362e;
    border-top: 0;
    padding: 7px;
    margin: -7px;
}

td.child {
    padding-left: 7px;
    padding-right: 7px;
}

span.dtr-title {
    display: block !important;
    width: 100%;
    clear: both;
    padding: 7px !important;
    padding-top: 7px !important;
    background-color: rgba(236, 236, 236, 0.8);
    box-shadow: inset 0px 1px 3px 0px #00000007;
    border-top: 1px solid #dddddd;
}

span.dtr-title:after {
    content: ": ";
}

span.dtr-data {
    display: block !important;
    width: 100%;
    float: right !important;
    text-align: right;
    /* border-bottom: 1px solid #dddddd; */
    padding: 15px !important;
}

.datatable-scroll-wrap {
    min-height: 250px;
}

/* -breadcrumb--------------------- */
.breadcrumb-item {
    padding-right: 0.2rem !important;
    font-size: 0.75rem;
}

.breadcrumb-item+.breadcrumb-item::before {
    padding-left: 0.2rem;
}

/* ---------------------- */
.select2-selection--single.error {
    border-bottom: 1px solid red;
}

.select2 .icon-spinner9.spinner {
    float: left;
    line-height: 0;
    margin-top: -9px;
    margin-left: 7px;
}

.select2 .icon-spinner9.spinner:after {
    display: none;
}

#start_date,
#end_date {
    cursor: pointer;
}

#start_date.border-danger,
#end_date.border-danger {
    border-bottom-color: #f44336 !important;
}

.data-table-loading {
    width: 100%;
    z-index: 1000;
}

table.dataTable td div {
    white-space: nowrap;
    /* float: left; */
    text-align: left;
    /* direction: ltr; */
    width: 100%;
}

table.en.dataTable thead:first-child tr:first-child th {
    text-align: left;
}

svg text {
    font-family: iranSans;
}

.dataTable tbody tr.even {
    background-color: #ececec;
}

.dataTable tbody tr.selected {
    background-color: #dedfff;
}

.dropdown-menu.dropdown-menu-right.show {
    left: 20px !important;
}

.alert-wrapper {
    position: fixed;
    right: 0;
    bottom: 0;
    z-index: 100000;
    margin: 15px;
    transition: all 0.2s;
}

.alert {
    display: table;
    transition: opacity 0.2s;
    transition: all 0.2s ease;
    transition: all 0.2s cubic-bezier(1, 0.5, 0.8, 1);
}

.alert-progress {
    position: absolute;
    height: 7%;
    background-color: #ffffffe0;
    right: 0px;
    top: 0px;
    transition: all 1.5s;
}

.table-loading-wrapper {
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: rgba(255, 255, 255, 0.84);
    z-index: 2;
    left: 0;
    top: 0;
}

.table-loading-spinner {
    height: 100vh;
    position: absolute;
    z-index: 20000000;
    top: 50%;
    left: 50%;
    margin: 0 auto;
    display: table !important;
    right: 50%;
}

/* -vue transirions----------------------------- */
.fade-enter-active,
.fade-leave-active {
    transition: opacity 0.5s;
}

.fade-enter,
.fade-leave-to {
    opacity: 0;
}

.slide-enter-active {
    -moz-transition-duration: 0.3s;
    -webkit-transition-duration: 0.3s;
    -o-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -moz-transition-timing-function: ease-in;
    -webkit-transition-timing-function: ease-in;
    -o-transition-timing-function: ease-in;
    transition-timing-function: ease-in;
}

.slide-leave-active {
    -moz-transition-duration: 0.3s;
    -webkit-transition-duration: 0.3s;
    -o-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -moz-transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
    -webkit-transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
    -o-transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
    transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
}

.slide-enter-to,
.slide-leave {
    max-height: 100px;
    overflow: hidden;
}

.slide-enter,
.slide-leave-to {
    overflow: hidden;
    max-height: 0;
}

/* ---------------------------- */
.my-table-responsive {
    width: 100%;
    overflow-x: auto;
    min-height: 250px;
}

.in_active_row {
    opacity: 0.3;
    background-color: #dddddd;
}

.google-map,
.google-map1 {
    width: 100%;
    height: 400px;
    margin: 0 auto;
    background: gray;
}

#avatar {
    width: 180px;
    height: 180px;
    margin: 0 auto;
    display: table;
}

#home-tab .tab-content {
    box-shadow: 0 0px 13px rgba(0, 0, 0, 0.1);
    border-radius: 0 0 4px 4px;
    background-color: #fff
}

#home-tab .nav-tabs .nav-link.active {
    border-bottom: 1px solid #fff;
    background-color: #fff;
    box-shadow: 0 -7px 6px 2px #00000010;
    border-right: 0;
    border-left: 0;
}

.nav-tabs-highlight .nav-link.active {
    border-top-color: #4db6ac;
}

.nav-tabs-highlight .nav-link.active:before {
    background-color: #4db6ac;
}

.badge-teal-300 {
    background-color: #4db6ac;
    color: #ffffff;
}

.alert-teal-300 {
    color: #275c57;
    background-color: #dfebea;
    border-color: #4db6ac;
}

.dropdown-item:hover {
    background-color: #ebebeb;
    color: #444444;
}

[type="button"],
[type="reset"],
[type="submit"],
button {
    /* -webkit-appearance: unset; */
}

/* -range slider------------ */
.range-slider * {
    transition: all 0.2s !important;
}

.range-slider {
    width: 100%;
}

.range-slider__range {
    -webkit-appearance: none;
    min-width: 110px;
    width: calc(100% - (120px));
    height: 5px;
    border-radius: 5px;
    background: #d7dcdf;
    outline: none;
    padding: 0;
    margin: 0;
    cursor: pointer;
}

.range-slider__range::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: #d4d4d4;
    cursor: pointer;
    border: 1px solid #ffffff;
    box-shadow: 0px 0px 0px 2px #bbbbbb;
    transition: background 0.15s ease-in-out;
}

.range-slider__range::-webkit-slider-thumb:hover {
    transition: all 0.2s !important;
    background: #1abc9c;
    box-shadow: 0 0 0 3px #fff, 0 0 0 6px #1abc9c;
}

.range-slider__range:active::-webkit-slider-thumb {
    transition: all 0.2s !important;
    background: #1abc9c;
    box-shadow: 0 0 0 3px #fff, 0 0 0 6px #1abc9c;
}

.range-slider__range::-moz-range-thumb {
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: #d4d4d4;
    cursor: pointer;
    border: 1px solid #ffffff;
    box-shadow: 0px 0px 0px 2px #bbbbbb;
    transition: background 0.15s ease-in-out;
}

.range-slider__range::-moz-range-thumb:hover {
    transition: all 0.2s !important;
    background: #1abc9c;
    box-shadow: 0 0 0 3px #fff, 0 0 0 6px #1abc9c;
}

.range-slider__range:active::-moz-range-thumb {
    transition: all 0.2s !important;
    background: #1abc9c;
    box-shadow: 0 0 0 3px #fff, 0 0 0 6px #1abc9c;
}

.range-slider__range:focus::-webkit-slider-thumb {
    box-shadow: 0 0 0 3px #fff, 0 0 0 6px #1abc9c;
}

.range-slider__value {
    display: inline-block;
    position: relative;
    width: 50px;
    color: #252525;
    line-height: 20px;
    text-align: center;
    border-radius: 2px;
    background: #ffffff;
    padding: 4px 7px;
    border: 1px solid #d7dcdf;
    margin-left: 17px;
    box-shadow: inset 0 2px 7px 1px rgba(0, 0, 0, 0.1);
}

.range-slider__value:after {
    position: absolute;
    top: 7px;
    left: -7px;
    width: 0;
    height: 0;
    border-top: 7px solid transparent;
    border-right: 7px solid #d7dcdf;
    border-bottom: 7px solid transparent;
    content: "";
}

::-moz-range-track {
    background: #d7dcdf;
    border: 0;
}

input::-moz-focus-inner,
input::-moz-focus-outer {
    border: 0;
}

/* -switch------------ */
.toggle-2 {
    display: none;
}

.label-2 {
    direction: ltr;
    display: inline-block;
    background: #dedede;
    width: 40px;
    height: 22px;
    border-radius: 1000000000px;
    position: relative;
    cursor: pointer;
    box-shadow: inset 0 0 3px #00000059;
    margin-bottom: -6px;
    transition: border 0.4s ease 0s, box-shadow 0.4s ease 0s;
    border-color: rgb(223, 223, 223);
}

.switch-2 {
    position: absolute;
    width: 18px;
    height: 18px;
    margin-top: 2px;
    margin-left: 2px;
    border-radius: 1em;
    background: #ffffff;
    box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.32);
    transition: -webkit-transform 0.2s ease-in;
    transition: transform 0.2s ease-in;
    transition: transform 0.2s ease-in, -webkit-transform 0.2s ease-in;
}

.toggle-2:checked~.label-2 .switch-2 {
    background: #ffffff;
    /* box-shadow: 0px 0px 7px rgba(255, 255, 255, 0.75); */
    -webkit-transform: translatex(18px);
    transform: translatex(18px);
    transition: -webkit-transform 0.2s ease-in;
    transition: transform 0.2s ease-in;
    transition: transform 0.2s ease-in, -webkit-transform 0.2s ease-in;
}

.toggle-2:checked~.label-2 {
    /* background: #8bc34a; */
    box-shadow: #4db6ac 0px 0px 0px 12px inset;
    /* border-color: #4db6ac; */
    /* background-color: #4db6ac; */
    transition: border 0.4s ease 0s, box-shadow 0.4s ease 0s,
        background-color 1.2s ease 0s;
}

.toggle-2:checked~label {
    color: #3a867e;
}

.toggle-2~label {
    color: #7d7d7d;
}

/* -end switch------------ */
/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) and (max-width: 767.98px) {}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) and (max-width: 991.98px) {
    .main-header-lang {
        display: none;
    }

    .main-header-time {
        font-size: 0.6rem;
        margin-right: 4px !important;
        margin-left: 4px !important;
    }

    .main-header>ul>li>a {
        padding-right: 4px;
        padding-left: 4px;
        font-size: 0.6rem;
    }

    .main-header-info {
        font-size: 0.5rem !important;
        /* margin: 0 !important; */
        margin-right: 1px !important;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) and (max-width: 1199.98px) {
    .main-header-lang {
        display: none;
    }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {}

/* Custom media queries */
@media (max-width: 767px) {
    body>.main-navbar {
        max-height: 97vh;
        overflow-y: auto;
    }

    .content {
        padding: 1.25rem 0.7rem;
    }
}

.dataTables_filter {
    display: flex;
    float: right !important;
    padding: 0 0 0 15px;
}

.dataTables_length {
    display: flex;
    float: left !important;
    padding: 0 15px 0 0;
}
